Bug 11059 - default workgroup/domain used for dfs referred connections, rather than provided authinfo
default workgroup/domain used for dfs referred connections, rather than provi...
Status: RESOLVED FIXED
Product: Samba 3.6
Classification: Unclassified
Component: Client Tools
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-01-16 14:39 UTC by David Disseldorp
Modified: 2015-02-05 20:46 UTC (History)
4 users (show)

See Also:


Attachments
proposed fix, sent to samba-technical list (2.01 KB, patch)
2015-01-16 15:27 UTC, David Disseldorp
jra: review+
vl: review+
Details
extra change needed for encrypted sessions (899 bytes, patch)
2015-01-19 14:24 UTC, David Disseldorp
jra: review+
ddiss: review? (vl)
ddiss: review? (asn)
Details
patchset for v4-2-test branch, slightly differs from master (extra cli_init_creds() call) (3.63 KB, patch)
2015-01-21 13:40 UTC, David Disseldorp
jra: review+
Details
patchset for v4-1-test branch, slightly differs from master (extra cli_init_creds() call) (3.63 KB, patch)
2015-01-21 13:41 UTC, David Disseldorp
jra: review+
Details
patchset for v4-0-test branch, slightly differs from master (extra cli_init_creds() call) (3.63 KB, patch)
2015-01-21 13:41 UTC, David Disseldorp
jra: review+
Details
patchset for v3-6-stable branch, for those playing along at home (3.78 KB, patch)
2015-01-21 13:42 UTC, David Disseldorp
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description David Disseldorp 2015-01-16 14:39:30 UTC
This bug appears to be present all the way up to current master.

With a two node DFS replication environment configured, I've noticed that libsmbclient uses the smbc_init->smbc_get_auth_data_fn() provided workgroup/domain in the initial connection, but then switches to the default smb.conf workgroup/domain when handling the the DFS referral.

It should instead continue to use the smbc_init->smbc_get_auth_data_fn() value. Patch to follow...
Comment 1 David Disseldorp 2015-01-16 14:46:02 UTC
I used the test code in bug 10123 to reproduce this bug, alongside a two node replicated Windows DFS server environment.
Comment 3 David Disseldorp 2015-01-16 15:27:55 UTC
Created attachment 10626 [details]
proposed fix, sent to samba-technical list
Comment 4 Jeremy Allison 2015-01-16 17:49:21 UTC
Comment on attachment 10626 [details]
proposed fix, sent to samba-technical list

LGTM. David, do you want to get this and the other DFS fix into 4.0.x and above as well ?
Comment 5 David Disseldorp 2015-01-16 17:56:41 UTC
(In reply to Jeremy Allison from comment #4)
Thanks for the review!

Yes, I'd like to get both 10123 and 11059 fixes into the maintenance branches. I'll back port and attach patches for each.
Comment 6 David Disseldorp 2015-01-19 14:24:47 UTC
Created attachment 10631 [details]
extra change needed for encrypted sessions
Comment 7 Jeremy Allison 2015-01-20 17:46:25 UTC
David - should the 'extra change needed for encrypted sessions' change be in master too ?
Comment 8 David Disseldorp 2015-01-20 17:48:51 UTC
(In reply to Jeremy Allison from comment #7)
Yes please Jeremy.

Once both are there I'll add the maintenance branch patches.
Comment 9 Jeremy Allison 2015-01-21 01:06:51 UTC
Comment on attachment 10631 [details]
extra change needed for encrypted sessions

LGTM - pushed to master.
Comment 10 David Disseldorp 2015-01-21 13:40:36 UTC
Created attachment 10642 [details]
patchset for v4-2-test branch, slightly differs from master (extra cli_init_creds() call)
Comment 11 David Disseldorp 2015-01-21 13:41:09 UTC
Created attachment 10643 [details]
patchset for v4-1-test branch, slightly differs from master (extra cli_init_creds() call)
Comment 12 David Disseldorp 2015-01-21 13:41:38 UTC
Created attachment 10644 [details]
patchset for v4-0-test branch, slightly differs from master (extra cli_init_creds() call)
Comment 13 David Disseldorp 2015-01-21 13:42:22 UTC
Created attachment 10645 [details]
patchset for v3-6-stable branch, for those playing along at home
Comment 14 Jeremy Allison 2015-01-21 18:40:48 UTC
Reassigning to Karolin for inclusion in 4.0.next, 4.1.next, 4.2.0.
Comment 15 Karolin Seeger 2015-01-24 20:52:00 UTC
Pushed to autobuild-v4-[0|1|2]-test.
Comment 16 Karolin Seeger 2015-02-05 20:46:57 UTC
Pushed to all branches.
Closing out bug report.

Thanks!